// pages/prescriptDetail/prescriptDetail.js
const app = getApp()
import {prescriptionDetail} from "../../../api/prescription"
import {throttle} from "../../../utils/util"
Page({
   
  /**
   * 页面的初始数据
   */
  data: {
    prescript:null,
    img_host:'https://oss.prod.applets.igandanyiyuan.com/applet/patient/static',
    fromType:''
  },
  goBack(){
    wx.navigateBack({
      delta: 1,
    })
   },
  goPayInfo:throttle(function(){
    if(getCurrentPages().length>=8){
      wx.reLaunch({
        url: '/patient/pages/payInfo/payInfo?order_prescription_id='+this.data.order_prescription_id+"&fromType="+this.data.fromType,
      })
    }else{
      app.method.navigateTo({
        url: '/patient/pages/payInfo/payInfo?order_prescription_id='+this.data.order_prescription_id+"&fromType="+this.data.fromType
      })
    }
  
  }),

  handelprescriptionDetail(id){
    prescriptionDetail(id).then(data=>{
      this.setData({
        prescript:data
      })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

    if(options.fromType){
      this.setData({
        fromType:options.fromType
      })
    }
    this.setData({
      order_prescription_id:options.order_prescription_id
    }) 
    this.handelprescriptionDetail(options.order_prescription_id)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({
      img_host:app.hostConfig().imghost
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  
})